-- | Low Shelf
module Sound.SC3.UGen.Record.BLowShelf where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BLowShelf = BLowShelf {
  input :: S.UGen,
  freq :: S.UGen,
  rs :: S.UGen,
  db :: S.UGen
  } deriving (Show)
bLowShelf :: BLowShelf
bLowShelf = BLowShelf {
  input = 0.0,
  freq = 1200.0,
  rs = 1.0,
  db = 0.0
  }
mkBLowShelf :: BLowShelf -> S.UGen
mkBLowShelf (BLowShelf  a' b' c' d') = S.mkOsc S.AR "BLowShelf" [a',b',c',d'] 1
instance Make BLowShelf where
  ugen = mkBLowShelf
