-- | Search a buffer for a value
module Sound.SC3.UGen.Record.DetectIndex where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DetectIndex = DetectIndex {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
detectIndex :: DetectIndex
detectIndex = DetectIndex {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0
  }
mkDetectIndex :: DetectIndex -> S.UGen
mkDetectIndex (DetectIndex r a' b') = S.mkOsc r "DetectIndex" [a',b'] 1
instance Make DetectIndex where
  ugen = mkDetectIndex
