-- | Demand rate white noise random generator.
module Sound.SC3.UGen.Record.Diwhite where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Diwhite = Diwhite {
  lo :: S.UGen,
  hi :: S.UGen,
  length_ :: S.UGen
  } deriving (Show)
diwhite :: Diwhite
diwhite = Diwhite {
  lo = 0.0,
  hi = 1.0,
  length_ = 100000000.0
  }
mkDiwhite :: Diwhite -> S.UGen
mkDiwhite (Diwhite  a' b' c') = S.mkOsc S.DR "Diwhite" [a',b',c'] 1
instance Make Diwhite where
  ugen = mkDiwhite
