-- | Random impulses.
module Sound.SC3.UGen.Record.Dust2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Dust2 = Dust2 {
  rate :: S.Rate,
  density :: S.UGen
  } deriving (Show)
dust2 :: Dust2
dust2 = Dust2 {
  rate = S.AR,
  density = 0.0
  }
mkDust2 :: Dust2 -> S.UGen
mkDust2 (Dust2 r a') = S.mkOsc r "Dust2" [a'] 1
instance Make Dust2 where
  ugen = mkDust2
