-- | (Undocumented class)
module Sound.SC3.UGen.Record.HairCell where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data HairCell = HairCell {
  rate :: S.Rate,
  input :: S.UGen,
  spontaneousrate :: S.UGen,
  boostrate :: S.UGen,
  restorerate :: S.UGen,
  loss :: S.UGen
  } deriving (Show)
hairCell :: HairCell
hairCell = HairCell {
  rate = S.AR,
  input = 0.0,
  spontaneousrate = 0.0,
  boostrate = 200.0,
  restorerate = 1000.0,
  loss = 0.99
  }
mkHairCell :: HairCell -> S.UGen
mkHairCell (HairCell r a' b' c' d' e') = S.mkOsc r "HairCell" [a',b',c',d',e'] 1
instance Make HairCell where
  ugen = mkHairCell
