-- | Index into a table with a signal, linear interpolated
module Sound.SC3.UGen.Record.IndexL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data IndexL = IndexL {
  rate :: S.Rate,
  bufnum :: S.UGen,
  input :: S.UGen
  } deriving (Show)
indexL :: IndexL
indexL = IndexL {
  rate = S.AR,
  bufnum = 0.0,
  input = 0.0
  }
mkIndexL :: IndexL -> S.UGen
mkIndexL (IndexL r a' b') = S.mkOsc r "IndexL" [a',b'] 1
instance Make IndexL where
  ugen = mkIndexL
