-- | Two zero fixed lowpass
module Sound.SC3.UGen.Record.LPZ2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LPZ2 = LPZ2 {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
lPZ2 :: LPZ2
lPZ2 = LPZ2 {
  rate = S.AR,
  input = 0.0
  }
mkLPZ2 :: LPZ2 -> S.UGen
mkLPZ2 (LPZ2 r a') = S.mkOsc r "LPZ2" [a'] 1
instance Make LPZ2 where
  ugen = mkLPZ2
