-- | Write a signal to a bus.
module Sound.SC3.UGen.Record.Out where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Out = Out {
  rate :: S.Rate,
  bus :: S.UGen,
  input :: S.UGen
  } deriving (Show)
out :: Out
out = Out {
  rate = S.AR,
  bus = 0.0,
  input = 0.0
  }
mkOut :: Out -> S.UGen
mkOut (Out r a' b') = S.mkOsc r "Out" [a',b'] 1
instance Make Out where
  ugen = mkOut
