-- | Combine low and high bins from two inputs.
module Sound.SC3.UGen.Record.PV_BinWipe where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_BinWipe = PV_BinWipe {
  bufferA :: S.UGen,
  bufferB :: S.UGen,
  wipe :: S.UGen
  } deriving (Show)
pv_BinWipe :: PV_BinWipe
pv_BinWipe = PV_BinWipe {
  bufferA = 0.0,
  bufferB = 0.0,
  wipe = 0.0
  }
mkPV_BinWipe :: PV_BinWipe -> S.UGen
mkPV_BinWipe (PV_BinWipe  a' b' c') = S.mkOsc S.KR "PV_BinWipe" [a',b',c'] 1
instance Make PV_BinWipe where
  ugen = mkPV_BinWipe
