-- | Clip bins to a threshold.
module Sound.SC3.UGen.Record.PV_MagClip where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagClip = PV_MagClip {
  buffer :: S.UGen,
  threshold :: S.UGen
  } deriving (Show)
pv_MagClip :: PV_MagClip
pv_MagClip = PV_MagClip {
  buffer = 0.0,
  threshold = 0.0
  }
mkPV_MagClip :: PV_MagClip -> S.UGen
mkPV_MagClip (PV_MagClip  a' b') = S.mkOsc S.KR "PV_MagClip" [a',b'] 1
instance Make PV_MagClip where
  ugen = mkPV_MagClip
