-- | Resonant filter.
module Sound.SC3.UGen.Record.Resonz where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Resonz = Resonz {
  rate :: S.Rate,
  input :: S.UGen,
  freq :: S.UGen,
  bwr :: S.UGen
  } deriving (Show)
resonz :: Resonz
resonz = Resonz {
  rate = S.AR,
  input = 0.0,
  freq = 440.0,
  bwr = 1.0
  }
mkResonz :: Resonz -> S.UGen
mkResonz (Resonz r a' b' c') = S.mkOsc r "Resonz" [a',b',c'] 1
instance Make Resonz where
  ugen = mkResonz
