-- | (Undocumented class)
module Sound.SC3.UGen.Record.SensoryDissonance where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SensoryDissonance = SensoryDissonance {
  fft :: S.UGen,
  maxpeaks :: S.UGen,
  peakthreshold :: S.UGen,
  norm :: S.UGen,
  clamp :: S.UGen
  } deriving (Show)
sensoryDissonance :: SensoryDissonance
sensoryDissonance = SensoryDissonance {
  fft = 0.0,
  maxpeaks = 100.0,
  peakthreshold = 0.1,
  norm = 0.0,
  clamp = 1.0
  }
mkSensoryDissonance :: SensoryDissonance -> S.UGen
mkSensoryDissonance (SensoryDissonance  a' b' c' d' e') = S.mkOsc S.KR "SensoryDissonance" [a',b',c',d',e'] 1
instance Make SensoryDissonance where
  ugen = mkSensoryDissonance
