-- | Standard map chaotic generator
module Sound.SC3.UGen.Record.StandardN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StandardN = StandardN {
  freq :: S.UGen,
  k :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
standardN :: StandardN
standardN = StandardN {
  freq = 22050.0,
  k = 1.0,
  xi = 0.5,
  yi = 0.0
  }
mkStandardN :: StandardN -> S.UGen
mkStandardN (StandardN  a' b' c' d') = S.mkOsc S.AR "StandardN" [a',b',c',d'] 1
instance Make StandardN where
  ugen = mkStandardN
