-- | (Undocumented class)
module Sound.SC3.UGen.Record.StkBandedWG where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkBandedWG = StkBandedWG {
  rate :: S.Rate,
  freq :: S.UGen,
  instr :: S.UGen,
  bowpressure :: S.UGen,
  bowmotion :: S.UGen,
  integration :: S.UGen,
  modalresonance :: S.UGen,
  bowvelocity :: S.UGen,
  setstriking :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
stkBandedWG :: StkBandedWG
stkBandedWG = StkBandedWG {
  rate = S.AR,
  freq = 440.0,
  instr = 0.0,
  bowpressure = 0.0,
  bowmotion = 0.0,
  integration = 0.0,
  modalresonance = 64.0,
  bowvelocity = 0.0,
  setstriking = 0.0,
  trig = 1.0
  }
mkStkBandedWG :: StkBandedWG -> S.UGen
mkStkBandedWG (StkBandedWG r a' b' c' d' e' f' g' h' i') = S.mkOsc r "StkBandedWG" [a',b',c',d',e',f',g',h',i'] 1
instance Make StkBandedWG where
  ugen = mkStkBandedWG
