-- | Triggered integer random number generator.
module Sound.SC3.UGen.Record.TIRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TIRand = TIRand {
  rate :: S.Rate,
  lo :: S.UGen,
  hi :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
tIRand :: TIRand
tIRand = TIRand {
  rate = S.AR,
  lo = 0.0,
  hi = 127.0,
  trig = 0.0
  }
mkTIRand :: TIRand -> S.UGen
mkTIRand (TIRand r a' b' c') = S.mkOsc r "TIRand" [a',b',c'] 1
instance Make TIRand where
  ugen = mkTIRand
