-- | 12db/oct rolloff - 2nd order resonant Low Pass Filter
module Sound.SC3.UGen.Record.BLowPass where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BLowPass = BLowPass {
  input :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
bLowPass :: BLowPass
bLowPass = BLowPass {
  input = 0.0,
  freq = 1200.0,
  rq = 1.0
  }
mkBLowPass :: BLowPass -> S.UGen
mkBLowPass (BLowPass  a' b' c') = S.mkOsc S.AR "BLowPass" [a',b',c'] 1
instance Make BLowPass where
  ugen = mkBLowPass
