-- | UGens that cause chaos
module Sound.SC3.UGen.Record.ChaosGen where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data ChaosGen = ChaosGen {
  maxSize :: S.UGen
  } deriving (Show)
chaosGen :: ChaosGen
chaosGen = ChaosGen {
  maxSize = 0.0
  }
mkChaosGen :: ChaosGen -> S.UGen
mkChaosGen (ChaosGen  a') = S.mkOsc S.AR "ChaosGen" [a'] 1
instance Make ChaosGen where
  ugen = mkChaosGen
