-- | Generate a trigger anytime a bus is set.
module Sound.SC3.UGen.Record.InTrig where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data InTrig = InTrig {
  bus :: S.UGen
  } deriving (Show)
inTrig :: InTrig
inTrig = InTrig {
  bus = 0.0
  }
mkInTrig :: InTrig -> S.UGen
mkInTrig (InTrig  a') = S.mkOsc S.KR "InTrig" [a'] undefined
instance Make InTrig where
  ugen = mkInTrig
