-- | Latoocarfian chaotic generator
module Sound.SC3.UGen.Record.LatoocarfianL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LatoocarfianL = LatoocarfianL {
  freq :: S.UGen,
  a :: S.UGen,
  b :: S.UGen,
  c :: S.UGen,
  d :: S.UGen,
  xi :: S.UGen,
  yi :: S.UGen
  } deriving (Show)
latoocarfianL :: LatoocarfianL
latoocarfianL = LatoocarfianL {
  freq = 22050.0,
  a = 1.0,
  b = 3.0,
  c = 0.5,
  d = 0.5,
  xi = 0.5,
  yi = 0.5
  }
mkLatoocarfianL :: LatoocarfianL -> S.UGen
mkLatoocarfianL (LatoocarfianL  a' b' c' d' e' f' g') = S.mkOsc S.AR "LatoocarfianL" [a',b',c',d',e',f',g'] 1
instance Make LatoocarfianL where
  ugen = mkLatoocarfianL
