-- | Skewed random number generator.
module Sound.SC3.UGen.Record.LinRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinRand = LinRand {
  lo :: S.UGen,
  hi :: S.UGen,
  minmax :: S.UGen
  } deriving (Show)
linRand :: LinRand
linRand = LinRand {
  lo = 0.0,
  hi = 1.0,
  minmax = 0.0
  }
mkLinRand :: LinRand -> S.UGen
mkLinRand (LinRand  a' b' c') = S.mkOsc S.IR "LinRand" [a',b',c'] 1
instance Make LinRand where
  ugen = mkLinRand
