-- | Write to buses local to a synth.
module Sound.SC3.UGen.Record.LocalOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LocalOut = LocalOut {
  rate :: S.Rate,
  input :: S.UGen
  } deriving (Show)
localOut :: LocalOut
localOut = LocalOut {
  rate = S.AR,
  input = 0.0
  }
mkLocalOut :: LocalOut -> S.UGen
mkLocalOut (LocalOut r a') = S.mkOsc r "LocalOut" [a'] 1
instance Make LocalOut where
  ugen = mkLocalOut
