-- | Sum of uniform distributions.
module Sound.SC3.UGen.Record.NRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data NRand = NRand {
  lo :: S.UGen,
  hi :: S.UGen,
  n :: S.UGen
  } deriving (Show)
nRand :: NRand
nRand = NRand {
  lo = 0.0,
  hi = 1.0,
  n = 0.0
  }
mkNRand :: NRand -> S.UGen
mkNRand (NRand  a' b' c') = S.mkOsc S.IR "NRand" [a',b',c'] 1
instance Make NRand where
  ugen = mkNRand
