-- | One zero filter.
module Sound.SC3.UGen.Record.OneZero where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data OneZero = OneZero {
  rate :: S.Rate,
  input :: S.UGen,
  coef :: S.UGen
  } deriving (Show)
oneZero :: OneZero
oneZero = OneZero {
  rate = S.AR,
  input = 0.0,
  coef = 0.5
  }
mkOneZero :: OneZero -> S.UGen
mkOneZero (OneZero r a' b') = S.mkOsc r "OneZero" [a',b'] 1
instance Make OneZero where
  ugen = mkOneZero
