-- | FFT onset detector.
module Sound.SC3.UGen.Record.PV_HainsworthFoote where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_HainsworthFoote = PV_HainsworthFoote {
  buffer :: S.UGen,
  proph :: S.UGen,
  propf :: S.UGen,
  threshold :: S.UGen,
  waittime :: S.UGen
  } deriving (Show)
pv_HainsworthFoote :: PV_HainsworthFoote
pv_HainsworthFoote = PV_HainsworthFoote {
  buffer = 0.0,
  proph = 0.0,
  propf = 0.0,
  threshold = 1.0,
  waittime = 0.04
  }
mkPV_HainsworthFoote :: PV_HainsworthFoote -> S.UGen
mkPV_HainsworthFoote (PV_HainsworthFoote  a' b' c' d' e') = S.mkOsc S.AR "PV_HainsworthFoote" [a',b',c',d',e'] 1
instance Make PV_HainsworthFoote where
  ugen = mkPV_HainsworthFoote
