-- | Pass bins which are a local maximum.
module Sound.SC3.UGen.Record.PV_LocalMax where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_LocalMax = PV_LocalMax {
  buffer :: S.UGen,
  threshold :: S.UGen
  } deriving (Show)
pv_LocalMax :: PV_LocalMax
pv_LocalMax = PV_LocalMax {
  buffer = 0.0,
  threshold = 0.0
  }
mkPV_LocalMax :: PV_LocalMax -> S.UGen
mkPV_LocalMax (PV_LocalMax  a' b') = S.mkOsc S.KR "PV_LocalMax" [a',b'] 1
instance Make PV_LocalMax where
  ugen = mkPV_LocalMax
