-- | shift and stretch magnitude bin position.
module Sound.SC3.UGen.Record.PV_MagShift where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PV_MagShift = PV_MagShift {
  buffer :: S.UGen,
  stretch :: S.UGen,
  shift :: S.UGen
  } deriving (Show)
pv_MagShift :: PV_MagShift
pv_MagShift = PV_MagShift {
  buffer = 0.0,
  stretch = 1.0,
  shift = 0.0
  }
mkPV_MagShift :: PV_MagShift -> S.UGen
mkPV_MagShift (PV_MagShift  a' b' c') = S.mkOsc S.KR "PV_MagShift" [a',b',c'] 1
instance Make PV_MagShift where
  ugen = mkPV_MagShift
