-- | (Undocumented class)
module Sound.SC3.UGen.Record.RLoopSet where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RLoopSet = RLoopSet {
  rate :: S.Rate,
  bufnum :: S.UGen,
  left :: S.UGen,
  right :: S.UGen,
  gain :: S.UGen,
  increment :: S.UGen,
  spec :: S.UGen
  } deriving (Show)
rLoopSet :: RLoopSet
rLoopSet = RLoopSet {
  rate = S.AR,
  bufnum = 0.0,
  left = 0.0,
  right = 1.0,
  gain = 1.0,
  increment = 1.0,
  spec = 0.0
  }
mkRLoopSet :: RLoopSet -> S.UGen
mkRLoopSet (RLoopSet r a' b' c' d' e' f') = S.mkOsc r "RLoopSet" [a',b',c',d',e',f'] 1
instance Make RLoopSet where
  ugen = mkRLoopSet
