-- | (Undocumented class)
module Sound.SC3.UGen.Record.RShufflerB where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RShufflerB = RShufflerB {
  rate :: S.Rate,
  bufnum :: S.UGen,
  readLocationMinima :: S.UGen,
  readLocationMaxima :: S.UGen,
  readIncrementMinima :: S.UGen,
  readIncrementMaxima :: S.UGen,
  durationMinima :: S.UGen,
  durationMaxima :: S.UGen,
  envelopeAmplitudeMinima :: S.UGen,
  envelopeAmplitudeMaxima :: S.UGen,
  envelopeShapeMinima :: S.UGen,
  envelopeShapeMaxima :: S.UGen,
  envelopeSkewMinima :: S.UGen,
  envelopeSkewMaxima :: S.UGen,
  stereoLocationMinima :: S.UGen,
  stereoLocationMaxima :: S.UGen,
  interOffsetTimeMinima :: S.UGen,
  interOffsetTimeMaxima :: S.UGen,
  ftableReadLocationIncrement :: S.UGen,
  readIncrementQuanta :: S.UGen,
  interOffsetTimeQuanta :: S.UGen
  } deriving (Show)
rShufflerB :: RShufflerB
rShufflerB = RShufflerB {
  rate = S.AR,
  bufnum = 0.0,
  readLocationMinima = 0.01,
  readLocationMaxima = 0.02,
  readIncrementMinima = 1.0,
  readIncrementMaxima = 1.0,
  durationMinima = 0.2,
  durationMaxima = 0.2,
  envelopeAmplitudeMinima = 0.5,
  envelopeAmplitudeMaxima = 0.5,
  envelopeShapeMinima = 0.5,
  envelopeShapeMaxima = 0.5,
  envelopeSkewMinima = 0.5,
  envelopeSkewMaxima = 0.5,
  stereoLocationMinima = 0.5,
  stereoLocationMaxima = 0.5,
  interOffsetTimeMinima = 0.05,
  interOffsetTimeMaxima = 0.01,
  ftableReadLocationIncrement = 1.0,
  readIncrementQuanta = 0.0,
  interOffsetTimeQuanta = 0.0
  }
mkRShufflerB :: RShufflerB -> S.UGen
mkRShufflerB (RShufflerB r a' b' c' d' e' f' g' h' i' j' k' l' m' n' o' p' q' r' s' t') = S.mkOsc r "RShufflerB" [a',b',c',d',e',f',g',h',i',j',k',l',m',n',o',p',q',r',s',t'] 2
instance Make RShufflerB where
  ugen = mkRShufflerB
