-- | (Undocumented class)
module Sound.SC3.UGen.Record.RedPhasor where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data RedPhasor = RedPhasor {
  rate :: S.Rate,
  trig :: S.UGen,
  rate_ :: S.UGen,
  start :: S.UGen,
  end :: S.UGen,
  loop :: S.UGen,
  loopstart :: S.UGen,
  loopend :: S.UGen
  } deriving (Show)
redPhasor :: RedPhasor
redPhasor = RedPhasor {
  rate = S.AR,
  trig = 0.0,
  rate_ = 1.0,
  start = 0.0,
  end = 1.0,
  loop = 0.0,
  loopstart = 0.0,
  loopend = 1.0
  }
mkRedPhasor :: RedPhasor -> S.UGen
mkRedPhasor (RedPhasor r a' b' c' d' e' f' g') = S.mkOsc r "RedPhasor" [a',b',c',d',e',f',g'] 1
instance Make RedPhasor where
  ugen = mkRedPhasor
