-- | Feedback FM oscillator
module Sound.SC3.UGen.Record.SinOscFB where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SinOscFB = SinOscFB {
  rate :: S.Rate,
  freq :: S.UGen,
  feedback :: S.UGen
  } deriving (Show)
sinOscFB :: SinOscFB
sinOscFB = SinOscFB {
  rate = S.AR,
  freq = 440.0,
  feedback = 0.0
  }
mkSinOscFB :: SinOscFB -> S.UGen
mkSinOscFB (SinOscFB r a' b') = S.mkOsc r "SinOscFB" [a',b'] 1
instance Make SinOscFB where
  ugen = mkSinOscFB
