-- | Find a percentile of FFT magnitude spectrum
module Sound.SC3.UGen.Record.SpecPcile where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SpecPcile = SpecPcile {
  buffer :: S.UGen,
  fraction :: S.UGen,
  interpolate :: S.UGen
  } deriving (Show)
specPcile :: SpecPcile
specPcile = SpecPcile {
  buffer = 0.0,
  fraction = 0.5,
  interpolate = 0.0
  }
mkSpecPcile :: SpecPcile -> S.UGen
mkSpecPcile (SpecPcile  a' b' c') = S.mkOsc S.KR "SpecPcile" [a',b',c'] 1
instance Make SpecPcile where
  ugen = mkSpecPcile
