-- | (Undocumented class)
module Sound.SC3.UGen.Record.StkFlute where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data StkFlute = StkFlute {
  rate :: S.Rate,
  freq :: S.UGen,
  jetDelay :: S.UGen,
  noisegain :: S.UGen,
  jetRatio :: S.UGen
  } deriving (Show)
stkFlute :: StkFlute
stkFlute = StkFlute {
  rate = S.AR,
  freq = 440.0,
  jetDelay = 49.0,
  noisegain = 0.15,
  jetRatio = 0.32
  }
mkStkFlute :: StkFlute -> S.UGen
mkStkFlute (StkFlute r a' b' c' d') = S.mkOsc r "StkFlute" [a',b',c',d'] 1
instance Make StkFlute where
  ugen = mkStkFlute
