-- | Triggered linear ramp
module Sound.SC3.UGen.Record.Sweep where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Sweep = Sweep {
  rate :: S.Rate,
  trig :: S.UGen,
  rate_ :: S.UGen
  } deriving (Show)
sweep :: Sweep
sweep = Sweep {
  rate = S.AR,
  trig = 0.0,
  rate_ = 1.0
  }
mkSweep :: Sweep -> S.UGen
mkSweep (Sweep r a' b') = S.mkOsc r "Sweep" [a',b'] 1
instance Make Sweep where
  ugen = mkSweep
