-- | (Undocumented class)
module Sound.SC3.UGen.Record.SwitchDelay where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SwitchDelay = SwitchDelay {
  input :: S.UGen,
  drylevel :: S.UGen,
  wetlevel :: S.UGen,
  delaytime :: S.UGen,
  delayfactor :: S.UGen,
  maxdelaytime :: S.UGen
  } deriving (Show)
switchDelay :: SwitchDelay
switchDelay = SwitchDelay {
  input = 0.0,
  drylevel = 1.0,
  wetlevel = 1.0,
  delaytime = 1.0,
  delayfactor = 0.7,
  maxdelaytime = 20.0
  }
mkSwitchDelay :: SwitchDelay -> S.UGen
mkSwitchDelay (SwitchDelay  a' b' c' d' e' f') = S.mkOsc S.AR "SwitchDelay" [a',b',c',d',e',f'] 1
instance Make SwitchDelay where
  ugen = mkSwitchDelay
