-- | (Undocumented class)
module Sound.SC3.UGen.Record.TermanWang where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TermanWang = TermanWang {
  input :: S.UGen,
  reset :: S.UGen,
  ratex :: S.UGen,
  ratey :: S.UGen,
  alpha :: S.UGen,
  beta :: S.UGen,
  eta :: S.UGen,
  initx :: S.UGen,
  inity :: S.UGen
  } deriving (Show)
termanWang :: TermanWang
termanWang = TermanWang {
  input = 0.0,
  reset = 0.0,
  ratex = 0.01,
  ratey = 0.01,
  alpha = 1.0,
  beta = 1.0,
  eta = 1.0,
  initx = 0.0,
  inity = 0.0
  }
mkTermanWang :: TermanWang -> S.UGen
mkTermanWang (TermanWang  a' b' c' d' e' f' g' h' i') = S.mkOsc S.AR "TermanWang" [a',b',c',d',e',f',g',h',i'] 1
instance Make TermanWang where
  ugen = mkTermanWang
